Bug 73132 - Install Crash RedHat v7.3
Install Crash RedHat v7.3
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-30 20:00 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-30 20:00:22 EDT
Description of Problem: Crash or abort during v7.3 install.  Install repeated 
multiple times mostly in graphic mode.  Always crashed after disk format. Last 
install in text mode completed disk format; image transfer process was about 50-
70% complete. A dump to floppy was requested but failed to occur after multiple 
attempts.  The following error information (found between the *** lines)was 
produced with a recommendation to submit a report.

***********************
Trackback (innermost last):
	File /usr/bin/anaconda, line 633 is ?
	intf.run(id, dispatch, configFileData)
	File /usr/lib/anaconda/text.py, line 427, in run

	dispatch.gotoNext()
	File /usr/lib/anaconda/dispatch.py,  line 144, in gotoNext
	self.moveStep()
	File /usr/lib/anaconda/dispatch.py,  line 209, in moveStep
		rc = apply(func, self.bindArgs(args))
	File /usr/lib/anaconda/packages.py,  line 536, in doInstall
		l.sort(sortPackages)
	File /usr/lib/anaconda/ packages.py,  line 338, in sortPackages

	elif (string.lower(first[rpm.RPMTAG_NAME])
TypeError: read-only character buffer, None
********************
Version-Release number of selected component (if applicable):

How Reproducible: Have run install multiple times, the last time in text mode.
Assumedly prior results were all the same.


Steps to Reproduce:
1. Standard install accepted all defaults
2. Accepted system partitioning 
3. Accepted Grub Loader 
4. Accepted Gnome with minimal other packages

Actual Results:

Expected Results:

Additional Information - Only OS on the PC.  Disk size about 4.3Gb

Partititions:
devhda1   1   6    47    ext3  /boot   yes
devhda2   7   537  38xx  ext3  /       yes
devhda3   538      1xx   swp           yes
Comment 1 Michael Fulbright 2002-09-02 11:22:22 EDT
Please test your installation media:

  http://people.redhat.com/~msf/mediacheck.html
Comment 2 Michael Fulbright 2002-10-04 16:56:35 EDT
Closing due to inactivity.

Please reopen this bug report if you continue to have problems.
Comment 3 Need Real Name 2002-10-05 18:11:32 EDT
The media was tested immediately after testing was suggested and tested just 
fine.  The CD Drive was changed under the pretext that perhaps it was not fast 
enough.  But installation was still unsuccessful even with default 
installation, including default partitioning.  Default partitioning sets the 
boot partition at 47MB, and yet the system to be loaded at 1300-1400 MB.
My assumption is the files/system in excess of 47MB would be loaded in the next 
partition.  The next item that could be a possible problem is the Video - its 
on board and takes 4MB out of the 128MB system.  The Video and 4MB memory is 
recognized so one would assume it is handled properly. But since I have not had 
a chance to look under the covers I am not able to check this item or see what 
is going on.



Comment 4 Red Hat Bugzilla 2006-02-21 13:49:32 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.